<?php
/**
 * author Sergio Antonio Ochoa Martinez - gnu.java.sergio@gmail.com
 * Copyright (c) 2006-2015 Paco Avila & Josep Llort
 * WebSites: www.openkm.com
 * 
 * No bytes were intentionally harmed during the development of this application.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */
defined('_JEXEC') or die;
?>
<script type="text/javascript">

    $(document).ready(function() {

        $('#new, #delete, #edit').button();

        $('#test').button().click(function() {
            var id = $(this).attr('data-id');
            $.ajax({
                type: 'GET',
                url: 'index.php',
                data: {
                    option: 'com_openkm',
                    view: 'configuration',
                    task: 'test',
                    format: 'raw',
                    id: id,
                },
                datatype: 'html',
                success: function(data) {
                    $('#testData').html(data);
                }
            });
        });

        $('#tablaConfiguration').dataTable({
            "bJQueryUI": true,
            "sPaginationType": "full_numbers",
            "iDisplayLength": 25,
            "bFilter": true,
            "aoColumns": [
                {"bSortable": true},
                {"bSortable": true},
                {"bSortable": true},
                {"bSortable": true},
                {"bSortable": true},
                {"bSortable": false, "bSearchable": false},
                {"bSortable": false, "bSearchable": false}
            ],
            "aaSorting": [[0, "asc"]],
            "oLanguage": {
                "sProcessing": "<?php echo JText::_('COM_OPENKM_PLEASE_WAIT') ?>",
                "sLengthMenu": "<?php echo JText::_('COM_OPENKM_SHOW') ?>_MENU_ <?php echo JText::_('COM_OPENKM_ENTRIES') ?>",
                                "sZeroRecords": "<?php echo JText::_('COM_OPENKM_NOTHING_FOUND_SORRY') ?>",
                                "sInfo": "<?php echo JText::_('COM_OPENKM_SHOWING') ?>_START_ <?php echo JText::_('COM_OPENKM_TO') ?> _END_ <?php echo JText::_('COM_OPENKM_OF') ?> _TOTAL_ <?php echo JText::_('COM_OPENKM_ENTRIES') ?>",
                                                "sInfoEmpty": "<?php echo JText::_('COM_OPENKM_SHOWING') ?> 0 <?php echo JText::_('COM_OPENKM_TO') ?> 0 <?php echo JText::_('COM_OPENKM_OF') ?> 0 <?php echo JText::_('COM_OPENKM_ENTRIES') ?>",
                                                                "sInfoFiltered": "(<?php echo JText::_('COM_OPENKM_FILTERED_FROM') ?> _MAX_ <?php echo JText::_('COM_OPENKM_TOTAL_ENTRIES') ?>)",
                                                                "sInfoPostFix": "",
                                                                "sSearch": "<?php echo JText::_('COM_OPENKM_SEARCH'); ?>",
                                                                "sUrl": "",
                                                                "oPaginate": {
                                                                    "sFirst": "<?php echo JText::_('COM_OPENKM_FIRST') ?>",
                                                                    "sPrevious": "<?php echo JText::_('COM_OPENKM_PREVIOUS') ?>",
                                                                    "sNext": "<?php echo JText::_('COM_OPENKM_NEXT') ?>",
                                                                    "sLast": "<?php echo JText::_('COM_OPENKM_LAST') ?>"
                                                                }
                                                            }
                                                        });


                                                    });
</script>
<p align="right">
    <a id="new" title="<?php echo JText::_('COM_OPENKM_NEW'); ?>" href="index.php?option=com_openkm&view=configuration&layout=formconfiguration">
        <img src="<?php echo JURI::base(true) . '/components/com_openkm/assets/images/new.png'; ?>" alt=""/>
    </a>
</p>
<div id="testData">
</div>
<table id="tablaConfiguration" width="100%" class="display" cellpadding="0" cellspacing="0" border="0">
    <thead>
        <tr>
            <th><?php echo JText::_('COM_OPENKM_NAME') ?></th>
            <th><?php echo JText::_('COM_OPENKM_USER') ?></th>
            <th>URL</th>
            <th><?php echo JText::_('COM_OPENKM_PATH'); ?></th>
            <th><?php echo JText::_('COM_OPENKM_ACCESS'); ?></th>            
            <th width="150px"><?php echo JText::_('COM_OPENKM_ACTION'); ?></th>
            <th width="100px"><?php echo JText::_('COM_OPENKM_CONNECTION'); ?></th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($this->rows as $row) { ?>
            <tr>
                <td>
                    <?php echo $row->name; ?>
                </td>
                <td>
                    <?php echo $row->user; ?>                        
                </td>                   
                <td>
                    <?php echo $row->url; ?>                        
                </td>
                <td>
                    <?php echo $row->okmPath; ?>
                </td>
                <td align="center">
                    <?php echo $row->access; ?>                  
                </td>
                <td align="center">
                    <a id="delete" title="<?php echo JText::_('COM_OPENKM_DELETE'); ?>" href="index.php?option=com_openkm&view=configuration&task=delete&id=<?php echo $row->idConfiguration; ?>" >
                        <img src="<?php echo JURI::base(true) . '/components/com_openkm/assets/images/delete.gif'; ?>" alt=""/>
                    </a>
                    <a id="edit" title="<?php echo JText::_('COM_OPENKM_EDIT') ?>" href="index.php?option=com_openkm&view=configuration&task=edit&id=<?php echo $row->idConfiguration; ?>" >
                        <img src="<?php echo JURI::base(true) . '/components/com_openkm/assets/images/edit.png'; ?>" alt="<?php echo JText::_('COM_OPENKM_EDIT') ?>"/>
                    </a>
                </td>
                <td align="center">
                    <a id="test" title="<?php echo JText::_('COM_OPENKM_TEST_CONNECTION') ?>" href="#" data-id="<?php echo $row->idConfiguration; ?>">
                        <img src="<?php echo JURI::base(true) . '/components/com_openkm/assets/images/test.png'; ?>" alt="<?php echo JText::_('COM_OPENKM_TEST_CONNECTION') ?>"/>
                        <?php echo JText::_('COM_OPENKM_TEST') ?> 
                    </a>
                </td>
            </tr>
        <?php } ?>
    </tbody>
</table>